org.apache.http.auth

## Class AuthScope

- java.lang.Object
- - org.apache.http.auth.AuthScope

-     @Contract(threading=IMMUTABLE)
      public class AuthScope
      extends Object

  `AuthScope`表示由主机名，端口号，域名和认证方案名称组成的认证范围。

  如果是针对来自特定主机的身份验证挑战而创建的，则此类也可以包含源的主机。

  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthScope` | `ANY` 默认范围匹配任何主机，端口，领域和认证方案。
    `static String` | `ANY_HOST` `null`值代表任何主机。
    `static int` | `ANY_PORT` `-1`值代表任何端口。
    `static String` | `ANY_REALM` `null`值代表任何领域。
    `static String` | `ANY_SCHEME` `null`值代表任何认证方案。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `AuthScope(AuthScope authscope)` 创建给定凭证范围的副本。
    `AuthScope(HttpHost origin)` 定义特定原产地的验证范围。
    `AuthScope(HttpHost origin, String realm, String schemeName)` 定义特定原产地的验证范围。
    `AuthScope(String host, int port)` 使用给定的 `host`和 `port`定义认证范围。
    `AuthScope(String host, int port, String realm)` 定义与给定的身份验证范围 `host` ， `port`和 `realm` 。
    `AuthScope(String host, int port, String realm, String schemeName)` 定义与给定的身份验证范围 `host` ， `port` ， `realm`和 `schemeName` 。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getHost()`
    `HttpHost` | `getOrigin()`
    `int` | `getPort()`
    `String` | `getRealm()`
    `String` | `getScheme()`
    `int` | `hashCode()`
    `int` | `match(AuthScope that)` 测试验证范围是否匹配。
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### 字段详细信息

    - #### ANY_HOST

          public static final String ANY_HOST

      `null`值代表任何主机。 在将来版本的HttpClient中，使用此参数将被停用。

    - #### ANY_PORT

          public static final int ANY_PORT

      `-1`值代表任何端口。
      另请参见：
        Constant Field Values

    - #### ANY_REALM

          public static final String ANY_REALM

      `null`值代表任何领域。

    - #### ANY_SCHEME

          public static final String ANY_SCHEME

      `null`值代表任何认证方案。

    - #### ANY

          public static final AuthScope ANY

      默认范围匹配任何主机，端口，领域和认证方案。 在将来版本的HttpClient中，使用此参数将被停用。

  - ### 构造方法详细信息

    - #### AuthScope

          public AuthScope(String host,
                   int port,
                   String realm,
                   String schemeName)

      定义与给定的身份验证范围 `host` ， `port` ， `realm`和 `schemeName` 。
      参数
        `host` - 认证主机。 如果适用于任何主机，可能是`ANY_HOST` 。
        `port` - 验证端口。 如果适用于主机的任何端口，可以是`ANY_PORT` 。
        `realm` - 认证领域。 如果适用于主机上的任何领域，可以是`ANY_REALM` 。
        `schemeName` - 认证方案。 如果适用于主机支持的任何方案，可以是`ANY_SCHEME` 。

    - #### AuthScope

          public AuthScope(HttpHost origin,
                   String realm,
                   String schemeName)

      定义特定原产地的验证范围。
      参数
        `origin` - 原产地
        `realm` - 认证领域。 如果适用于主机上的任何领域，可以是`ANY_REALM` 。
        `schemeName` - 认证方案。 如果适用于主机支持的任何方案，可以是`ANY_SCHEME` 。
      从以下版本开始：
        4.2

    - #### AuthScope

          public AuthScope(HttpHost origin)

      定义特定原产地的验证范围。
      参数
        `origin` - 原产地
      从以下版本开始：
        4.2

    - #### AuthScope

          public AuthScope(String host,
                   int port,
                   String realm)

      定义与给定的身份验证范围 `host` ， `port`和 `realm` 。
      参数
        `host` - 认证主机。 如果适用于任何主机，可以是`ANY_HOST` 。
        `port` - 验证端口。 如果适用于主机的任何端口，可以是`ANY_PORT` 。
        `realm` - 认证领域。 如果适用于主机上的任何领域，可能是`ANY_REALM` 。

    - #### AuthScope

          public AuthScope(String host,
                   int port)

      使用给定的 `host`和 `port`定义验证范围。
      参数
        `host` - 认证主机。 如果适用于任何主机，可能是`ANY_HOST` 。
        `port` - 验证端口。 如果适用于主机的任何端口，可以是`ANY_PORT` 。

    - #### AuthScope

          public AuthScope(AuthScope authscope)

      创建给定凭证范围的副本。

  - ### 方法详细信息

    - #### getOrigin

          public HttpHost getOrigin()

      结果
        原产地 如果未知返回@null，
      从以下版本开始：
        4.4

    - #### getHost

          public String getHost()

      结果
        主人

    - #### getPort

          public int getPort()

      结果
        港口

    - #### getRealm

          public String getRealm()

      结果
        领域名称

    - #### getScheme

          public String getScheme()

      结果
        方案类型

    - #### match

          public int match(AuthScope that)

      测试验证范围是否匹配。
      结果
        匹配因子。 负值表示不匹配。 非负数意味着一场比赛。 返回值越大，比赛越接近。

    - #### equals

          public boolean equals(Object o)

      重写：
        `equals`在 `Object`
      另请参见：
        `Object.equals(Object)`

    - #### toString

          public String toString()

      重写：
        `toString`在 `Object`
      另请参见：
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      重写：
        `hashCode`在 `Object`
      另请参见：
        `Object.hashCode()`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585